Loading...
Searching...
No Matches
Lomiri::DownloadManager::DBusError Class Reference

`#include <error.h>`

Inheritance diagram for Lomiri::DownloadManager::DBusError:
Collaboration diagram for Lomiri::DownloadManager::DBusError:

## Protected Member Functions

| DBusError (QDBusError err, QObject *parent=0)
Protected Member Functions inherited from Lomiri::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Additional Inherited Members

Public Types inherited from Lomiri::DownloadManager::Error
enum | Type { Auth , DBus , Http , Network , Process , Hash }
Public Member Functions inherited from Lomiri::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Detailed Description

Definition at line 117 of file error.h.

## Constructor & Destructor Documentation

## DBusError()

Lomiri::DownloadManager::DBusError::DBusError | ( | QDBusError | err,
|  | QObject * | parent = 0 )

protected

Creates a new error from the provided QDbusError with a given parent.

Definition at line 294 of file error.cpp.

References Lomiri::DownloadManager::Error::DBus, and Lomiri::DownloadManager::Error::Error().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- error.h
- error.cpp